Bug 98288 - (SOUND CMPCI)cmpci: dma timed out??
(SOUND CMPCI)cmpci: dma timed out??
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-30 09:40 EDT by Mike Vanecek
Modified: 2007-04-18 12:55 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Vanecek 2003-06-30 09:40:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3) Gecko/20030408

Description of problem:
Periodic cmpci: dma timed out?? messages in the logs.

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1. Conditions which cause the error are unknown. 
2.
3.
    

Actual Results:  Apr 21 23:16:40 www kernel: cmpci: dma timed out??
Apr 21 23:17:09 www last message repeated 14 times

Apr 25 09:23:14 www kernel: cmpci: dma timed out??
Apr 25 09:23:17 www kernel: memory : d23f8900
Apr 25 09:23:17 www kernel: memory : 00000000
Apr 25 09:23:17 www kernel: memory : d23f8d80

May  1 10:57:48 www kernel: cmpci: dma timed out??
May  1 10:57:50 www kernel: memory : cd5b0100
May  1 10:57:50 www kernel: memory : 00000000
May  1 10:57:50 www kernel: memory : cd5b0900

Jun  8 11:04:04 www kernel: cmpci: dma timed out??
Jun  8 12:46:07 www kernel: memory : c1566a80
Jun  8 12:46:07 www kernel: memory : 00000000
Jun  8 12:46:07 www kernel: memory : c2711d00

Jun 20 17:40:59 www kernel: cmpci: dma timed out??
Jun 20 17:41:03 www kernel: memory : c9a42f00
Jun 20 17:41:03 www kernel: memory : 00000000
Jun 20 17:41:03 www kernel: memory : c9a42900
Jun 20 17:44:16 www kernel: cmpci: dma timed out??
Jun 20 17:44:19 www kernel: memory : c9a42f00
Jun 20 17:44:19 www kernel: memory : 00000000
Jun 20 17:44:19 www kernel: memory : c9a42c80
Jun 20 17:52:33 www kernel: cmpci: dma timed out??
Jun 20 17:52:35 www kernel: memory : c7c3a180
Jun 20 17:52:35 www kernel: memory : 00000000
Jun 20 17:52:35 www kernel: memory : c7c3a600
Jun 20 17:55:01 www kernel: memory : c7c3ad00
Jun 20 17:55:01 www kernel: memory : 00000000
Jun 20 17:55:01 www kernel: memory : c7c3ae00
Jun 20 18:06:59 www kernel: cmpci: dma timed out??
Jun 20 18:07:01 www kernel: memory : c1566b00
Jun 20 18:07:01 www kernel: memory : 00000000
Jun 20 18:07:01 www kernel: memory : c22cdf80
Jun 20 19:52:03 www kernel: memory : ce62af80
Jun 20 19:52:03 www kernel: memory : 00000000
Jun 20 19:52:03 www kernel: memory : ce62ad80
Jun 20 22:04:38 www kernel: memory : c0a11580
Jun 20 22:04:38 www kernel: memory : 00000000
Jun 20 22:04:38 www kernel: memory : c0a11b80
Jun 20 22:06:45 www kernel: memory : d3bb2b00
Jun 20 22:06:45 www kernel: memory : 00000000
Jun 20 22:06:45 www kernel: memory : d3bb2980
Jun 20 22:14:09 www kernel: memory : c22cdb80
Jun 20 22:14:09 www kernel: memory : 00000000
Jun 20 22:14:09 www kernel: memory : c22cd400
Jun 20 22:43:52 www kernel: cmpci: dma timed out??
Jun 20 22:43:54 www kernel: memory : d3bb2e00
Jun 20 22:43:54 www kernel: memory : 00000000
Jun 20 22:43:54 www kernel: memory : d3bb2f80
Jun 20 22:46:15 www kernel: memory : d3bb2b80
Jun 20 22:46:15 www kernel: memory : 00000000
Jun 20 22:46:15 www kernel: memory : d3bb2880
Jun 20 22:51:14 www kernel: cmpci: dma timed out??
Jun 20 22:51:15 www kernel: memory : c22cd480
Jun 20 22:51:15 www kernel: memory : 00000000
Jun 20 22:51:15 www kernel: memory : c22cd500

Jun 21 00:13:55 www kernel: cmpci: dma timed out??
Jun 21 00:13:58 www kernel: memory : c22cd500
Jun 21 00:13:58 www kernel: memory : 00000000
Jun 21 00:13:58 www kernel: memory : c1566d80

Jun 28 23:31:43 www kernel: cmpci: dma timed out??
Jun 28 23:31:47 www kernel: memory : c1566700
Jun 28 23:31:47 www kernel: memory : 00000000
Jun 28 23:31:47 www kernel: memory : c1566a80

Jun 29 09:59:35 www kernel: cmpci: dma timed out??
Jun 29 09:59:38 www kernel: memory : c1566700
Jun 29 09:59:38 www kernel: memory : 00000000
Jun 29 09:59:38 www kernel: memory : c1566a80



Expected Results:  No error messages.

Additional info:

[root@www root]# dmesg | grep cmpci
cmpci: dma timed out??
cmpci: dma timed out??

[root@www root]# uname -a
Linux www.mm-vanecek.cc 2.4.20-18.9 #1 Thu May 29 07:08:16 EDT 2003 i686 i686
i386 GNU/Linux

[root@www root]# cat  /etc/modules.conf
alias eth0 dmfe
alias usb-controller usb-uhci
alias sound-slot-0 cmpci
post-install sound-slot-0 /bin/aumix-minimal -f /etc/.aumixrc -L >/dev/null 2>&1
|| :
pre-remove sound-slot-0 /bin/aumix-minimal -f /etc/.aumixrc -S >/dev/null 2>&1 || :
alias sound-slot-1 off
alias sound-service-1-0 off

[root@www root]# cat /proc/pci
PCI devices found:

[snip]

  Bus  1, device   5, function  0:
    Multimedia audio controller: C-Media Electronics Inc CM8738 (rev 16).
      IRQ 11.
      Master Capable.  Latency=32.  Min Gnt=2.Max Lat=24.
      I/O at 0xc400 [0xc4ff].
  Bus  1, device   5, function  1:
    Communication controller: C-Media Electronics Inc CM8738 (rev 16).
      IRQ 3.
      I/O at 0xc800 [0xc83f].

Drivers installed:

/usr/src/linux-2.4.20-18.9/drivers/sound/cmpci.c
/lib/modules/2.4.20-18.9/kernel/drivers/sound/cmpci.o
Comment 1 Bugzilla owner 2004-09-30 11:41:13 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.